Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[Risolto] Problema openssl [Funtoo]
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian) Forum di discussione italiano
View previous topic :: View next topic  
Author Message
zar Marco
Guru
Guru


Joined: 09 Sep 2016
Posts: 322
Location: Colle Umberto ( TV )

PostPosted: Wed Oct 18, 2017 7:41 am    Post subject: [Risolto] Problema openssl [Funtoo] Reply with quote

Ciao ragazzi, primo problemaa cui non riesco a trovar soluzione in funtoo.
In pratica ho openssl che mi crasha in aggiornamento. Questo è il log https://paste.pound-python.org/show/IfSMHQBhVR3xQmcNtSLd/


Last edited by zar Marco on Wed Oct 18, 2017 1:15 pm; edited 2 times in total
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 19232
Location: here

PostPosted: Wed Oct 18, 2017 7:48 am    Post subject: Reply with quote

Allora non so in funtoo ma in gentoo la version 1.1.0 e' hard masked, quindi la versione da installare sarebbe la 1.0.2k.
Potresti postare l'output completo dell'update di emerge (cioe' la lista di pacchetti che ti vuole installare)
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
zar Marco
Guru
Guru


Joined: 09 Sep 2016
Posts: 322
Location: Colle Umberto ( TV )

PostPosted: Wed Oct 18, 2017 8:09 am    Post subject: Reply with quote

Mmm ora mi da un problema diverso rispetto a prima
Code:
┌─[root@funhp] - [/home/saul] - [2017-10-18 09:44:07]
└─[250] <> emerge -avDuN @world
!!! Repository 'x-portage' is missing masters attribute in '/usr/portage/metadata/layout.conf'
!!! Set 'masters = core-kit' in this file for future compatibility
WARNING: One or more repositories have missing repo_name entries:

   /usr/portage/profiles/repo_name

NOTE: Each repo_name entry should be a plain text file containing a
unique name for the repository on the first line.



These are the packages that would be merged, in order:

Calculating dependencies... done!

emerge: there are no ebuilds built with USE flags to satisfy "net-misc/curl[ssl,curl_ssl_nss]".
!!! One of the following packages is required to complete your request:
- net-misc/curl-7.54.0::core-kit (Change USE: +curl_ssl_nss, this change violates use flag constraints defined by net-misc/curl-7.54.0: 'curl_ssl_winssl? ( elibc_Winnt ) threads? ( !adns ) ssl? ( exactly-one-of ( curl_ssl_axtls curl_ssl_gnutls curl_ssl_libressl curl_ssl_mbedtls curl_ssl_nss curl_ssl_openssl curl_ssl_polarssl curl_ssl_winssl ) )')
(dependency required by "net-libs/liboauth-1.0.3::security-kit[curl,nss]" [ebuild])
(dependency required by "media-libs/grilo-0.3.2::gnome-kit" [ebuild])
(dependency required by "gnome-base/gnome-control-center-3.20.2::gnome-kit[gnome-online-accounts]" [ebuild])
(dependency required by "net-libs/gnome-online-accounts-3.20.4::gnome-kit[gnome]" [ebuild])
(dependency required by "gnome-base/gvfs-1.28.3-r1::gnome-kit[gnome-online-accounts]" [ebuild])
(dependency required by "gnome-base/libgnome-2.32.1-r1::gnome-kit" [ebuild])
(dependency required by "gnome-base/libbonoboui-2.24.5-r1::gnome-kit" [ebuild])
(dependency required by "dev-python/libbonobo-python-2.28.1-r1::python-kit" [ebuild])
(dependency required by "dev-python/libgnome-python-2.28.1-r1::python-kit" [ebuild])
(dependency required by "x11-terms/terminator-1.0::desktop-kit[gnome]" [ebuild])
(dependency required by "@selected" [set])
(dependency required by "@world" [argument])


Riguardo ad openssl, non capisco come mai ma risulta non installato
Code:
┌─[root@funhp] - [/home/saul] - [2017-10-18 10:04:42]
└─[0] <> emerge openssl
!!! Repository 'x-portage' is missing masters attribute in '/usr/portage/metadata/layout.conf'
!!! Set 'masters = core-kit' in this file for future compatibility
WARNING: One or more repositories have missing repo_name entries:

   /usr/portage/profiles/repo_name

NOTE: Each repo_name entry should be a plain text file containing a
unique name for the repository on the first line.



These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  N    #] dev-libs/openssl-1.1.0e:0/1.1::core-kit  USE="asm zlib -bindist -rfc3779 -sctp -static-libs {-test} -tls-heartbeat -vanilla" ABI_X86="32 (64) (-x32)" CPU_FLAGS_X86="(sse2)" 5081 KiB

Total: 1 package (1 new), Size of downloads: 5081 KiB

Would you like to merge these packages? [Yes/No]

Se provo ad emergerlo esce l'errore di prima

Questo è l'eix relativo ad openssl
Code:
* dev-libs/openssl [1]
     Available versions: 
     (0.9.8) 0.9.8z_p8^d
     (0)    1.0.2k^d {M}(~)1.1.0e(0/1.1)^d
       {+asm bindist gmp kerberos rfc3779 sctp sslv2 +sslv3 static-libs test (+)tls-heartbeat vanilla zlib ABI_MIPS="n32 n64 o32" ABI_PPC="32 64" ABI_S390="32 64" ABI_X86="32 64 x32" CPU_FLAGS_X86="sse2"}
     Homepage:            http://www.openssl.org/
     Description:         full-strength general purpose cryptography library (including SSL and TLS)


Mentre questo è l'output di emerge @preserve-rebulid
Code:
┌─[root@funhp] - [/home/saul] - [2017-10-18 10:07:11]
└─[0] <> emerge @preserved-rebuild                                       
!!! Repository 'x-portage' is missing masters attribute in '/usr/portage/metadata/layout.conf'
!!! Set 'masters = core-kit' in this file for future compatibility
WARNING: One or more repositories have missing repo_name entries:

   /usr/portage/profiles/repo_name

NOTE: Each repo_name entry should be a plain text file containing a
unique name for the repository on the first line.



These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  N    #] dev-libs/openssl-1.1.0e:0/1.1::core-kit  USE="asm zlib -bindist -rfc3779 -sctp -static-libs {-test} -tls-heartbeat -vanilla" ABI_X86="32 (64) (-x32)" CPU_FLAGS_X86="(sse2)" 5081 KiB
[ebuild   R    ] dev-perl/Net-SSLeay-1.800.0::perl-kit  USE="-examples -libressl -minimal {-test}" 0 KiB
[ebuild   R    ] net-misc/iputils-20121221-r2::core-kit [20121221-r2::gentoo] USE="ipv6 ssl -SECURITY_HAZARD -caps -doc -gnutls -idn -static" 0 KiB
[ebuild   R    ] net-misc/wget-1.19.1-r1::core-kit  USE="ipv6 pcre ssl zlib -debug -gnutls -idn -libressl -nls -ntlm -static {-test} -uuid" 0 KiB
[ebuild   R    ] dev-libs/libevent-2.0.22-r3:0/2.0-5::core-kit  USE="ssl threads -debug -libressl -static-libs {-test}" ABI_X86="(64) -32 (-x32)" 0 KiB
[ebuild   R    ] net-misc/curl-7.54.0::core-kit  USE="ipv6 ssl -adns -http2 -idn -kerberos -ldap -metalink -rtmp -samba -ssh -static-libs {-test} -threads" ABI_X86="(64) -32 (-x32)" CURL_SSL="openssl -axtls -gnutls -libressl -mbedtls -nss -polarssl (-winssl)" 0 KiB
[ebuild   R    ] net-libs/libsrtp-1.6.0:0/1::net-kit  USE="openssl -aesicm -console -debug -doc -libressl -static-libs -syslog {-test}" ABI_X86="(64) -32 (-x32)" 0 KiB
[ebuild   R    ] net-misc/socat-1.7.3.2::net-kit  USE="ipv6 readline ssl tcpd -bindist -libressl" 0 KiB
[ebuild   R    ] dev-lang/python-2.7.13:2.7::python-kit  USE="gdbm ipv6 ncurses readline sqlite ssl (threads) (wide-unicode) xml (-berkdb) -build -doc -examples -hardened -libressl -tk -wininst" 0 KiB
[ebuild   R    ] dev-lang/python-3.4.6:3.4/3.4m::python-kit  USE="gdbm ipv6 ncurses readline sqlite ssl (threads) xml -build -examples -hardened -libressl -tk -wininst" 0 KiB
[ebuild   R    ] dev-python/m2crypto-0.25.1-r2::python-kit  USE="-libressl" PYTHON_TARGETS="python2_7" 0 KiB
[ebuild   R    ] net-wireless/crda-3.18-r1::core-kit  USE="gcrypt* -libressl" 0 KiB
[ebuild   R    ] dev-python/cryptography-1.7.2::python-kit  USE="-libressl {-test}" PYTHON_TARGETS="python2_7 python3_4 -pypy -pypy3 -python3_5 -python3_6" 0 KiB
[ebuild   R    ] dev-libs/apr-util-1.6.0:1::dev-kit  USE="berkdb gdbm nss* openssl -doc -ldap -libressl -mysql -odbc -postgres -sqlite -static-libs" 0 KiB
[ebuild   R    ] app-arch/libarchive-3.3.1:0/13::core-kit  USE="acl bzip2 e2fsprogs iconv lzma nettle* threads xattr zlib -expat -libressl -lz4 -lzo -static-libs" ABI_X86="(64) -32 (-x32)" 0 KiB
[ebuild   R    ] net-libs/serf-1.3.9:1::net-kit  USE="-kerberos -libressl -static-libs" 0 KiB
[ebuild   R    ] www-client/w3m-0.5.3-r9::net-kit  USE="X gtk imlib ssl unicode -fbcon (-gpm) -libressl -lynxkeymap -nls -nntp -xface" L10N="-ja" 0 KiB
[ebuild   R    ] net-misc/openssh-7.5_p1-r1::core-kit  USE="X* hpn pam pie ssl -X509 -audit -bindist* -debug -kerberos -ldap -ldns -libedit -libressl -livecd -sctp (-selinux) -skey -ssh1 -static {-test}" 0 KiB
[ebuild   R    ] app-pda/libimobiledevice-1.2.0:0/6::nokit  USE="python -gnutls -static-libs" PYTHON_TARGETS="python2_7 python3_4 -python3_5" 0 KiB
[ebuild   R    ] net-wireless/wpa_supplicant-2.6-r1::core-kit  USE="dbus hs2-0 qt5 readline ssl -ap -eap-sim -fasteap -gnutls -libressl -p2p (-ps3) (-selinux) -smartcard -tdls -uncommon-eap-types (-wimax) -wps" 0 KiB
[ebuild   R    ] dev-db/mysql-connector-c-6.1.9-r1:0/18::dev-kit  USE="ssl -static-libs" ABI_X86="(64) -32 (-x32)" 0 KiB
[ebuild   R    ] net-libs/libssh-0.7.5-r1:0/4::net-kit  USE="gcrypt* sftp zlib -debug -doc -examples -gssapi -libressl -pcap -server -ssh1 -static-libs {-test}" ABI_X86="(64) -32 (-x32)" 0 KiB
[ebuild   R    ] dev-libs/libgit2-0.26.0:0/26::dev-kit  USE="ssh threads -examples -gssapi -libressl {-test} -trace" 0 KiB
[ebuild   R    ] dev-vcs/git-2.11.1-r1::core-kit  USE="blksha1 curl gpg gtk iconv pcre perl python subversion threads webdav -cgi -cvs -doc -emacs -gnome-keyring -highlight -libressl -mediawiki -mediawiki-experimental -nls (-ppcsha1) {-test} -tk -xinetd" LINGUAS="it -bg -ca -de -fr -is -ko -pt_PT -ru -sv -vi -zh_CN" PYTHON_TARGETS="python2_7" 0 KiB
[ebuild  N     ] gnome-base/gconf-3.2.6-r4:2::gnome-kit  USE="introspection (policykit) -debug -ldap" ABI_X86="(64) -32 (-x32)" PYTHON_TARGETS="python2_7" 0 KiB
[ebuild   R    ] dev-qt/qtnetwork-5.9.2:5/5.9::kde-kit [5.9.2:5/5.9::dev-kit] USE="networkmanager ssl -bindist* -connman -debug -libproxy {-test}" 0 KiB
[ebuild   R    ] www-client/google-chrome-beta-62.0.3202.52::net-kit  USE="plugins" L10N="it -am -ar -bg -bn -ca -cs -da -de -el -en-GB -es -es-419 -et -fa -fi -fil -fr -gu -he -hi -hr -hu -id -ja -kn -ko -lt -lv -ml -mr -ms -nb -nl -pl -pt-BR -pt-PT -ro -ru -sk -sl -sr -sv -sw -ta -te -th -tr -uk -vi -zh-CN -zh-TW" 0 KiB
[ebuild   R    ] app-crypt/qca-2.1.3-r1:2::nokit  USE="gcrypt nss* qt5 ssl -botan -debug -doc -examples -gpg -libressl -logger -pkcs11 -qt4 -sasl -softstore {-test}" 0 KiB
[ebuild   R    ] sys-fs/cryptsetup-1.7.2::core-kit  USE="gcrypt* python udev -kernel -libressl -nettle -nls -openssl* -pwquality -reencrypt -static -static-libs -urandom" PYTHON_TARGETS="python2_7 python3_4 -python3_5" 0 KiB
[ebuild   R    ] sys-kernel/debian-sources-4.8.15:4.8.15::core-kit [4.8.15:4.8.15::gentoo] USE="binary" 0 KiB
[ebuild   R    ] dev-lang/ruby-2.3.5:2.3::dev-kit  USE="berkdb gdbm ipv6 ncurses rdoc readline ssl -debug -doc -examples -jemalloc -libressl -rubytests -socks5 -tk -xemacs" 0 KiB
[ebuild   R    ] dev-lang/ruby-2.4.2:2.4::dev-kit  USE="berkdb gdbm ipv6 rdoc ssl -debug -doc -examples -jemalloc -libressl -rubytests -socks5 -static-libs -tk -xemacs" 0 KiB
[ebuild   R    ] dev-lang/ruby-2.2.8:2.2::dev-kit  USE="berkdb gdbm ipv6 ncurses rdoc readline ssl -debug -doc -examples -jemalloc -libressl -rubytests -socks5 -tk -xemacs" 0 KiB
[ebuild   R    ] media-sound/pulseaudio-10.0::media-kit  USE="X alsa alsa-plugin asyncns bluetooth caps dbus gdbm glib gnome gtk ipv6 orc ssl tcpd udev webrtc-aec -doc -equalizer -jack -libressl -libsamplerate -lirc -native-headset (-neon) -ofono-headset (-oss) -qt4 -realtime (-selinux) -sox (-system-wide) -systemd {-test} -zeroconf" ABI_X86="(64) -32 (-x32)" 0 KiB
[ebuild   R    ] media-video/ffmpeg-3.3.4:0/55.57.57::media-kit  USE="X alsa bluray bzip2 cdio encode gcrypt* gpl hardcoded-tables iconv ieee1394 jpeg2k libass mp3 network opengl openssl postproc pulseaudio theora threads truetype twolame v4l vorbis vpx wavpack webp x264 x265 xvid zlib (-altivec) -amr -amrenc -bs2b -celt -chromaprint -chromium -cpudetection -debug -doc -fdk -flite -fontconfig -frei0r -fribidi -gme -gmp -gnutls -gsm -iec61883 -jack -kvazaar -ladspa -libcaca -libilbc -librtmp -libsoxr -libv4l -lzma (-mipsdspr1) (-mipsdspr2) (-mipsfpu) (-mmal) -modplug -nvenc -openal -openh264 -opus -oss -pic -rubberband -samba -schroedinger -sdl -snappy -sofalizer -speex -ssh -static-libs {-test} -vaapi -vdpau -xcb -zeromq -zimg -zvbi" ABI_X86="(64) -32 (-x32)" CPU_FLAGS_X86="3dnow 3dnowext avx avx2 fma3 fma4 mmx mmxext sse sse2 sse3 sse4_1 sse4_2 ssse3 xop -aes" FFTOOLS="aviocat cws2fws ffescape ffeval ffhash fourcc2pixfmt graph2dot ismindex pktdumper qt-faststart sidxindex trasher" 0 KiB
[ebuild     U  ] www-client/qupzilla-2.2.0::net-kit [2.1.2::net-kit] USE="dbus -debug -gnome-keyring -kwallet -libressl -nonblockdialogs" LINGUAS="-ar_SA -bg_BG -ca_ES -cs_CZ -da_DK -de_DE -el_GR -es_419% -es_ES -es_MX -es_VE -eu_ES -fa_IR -fi_FI -fr_FR -gl_ES -he_IL -hr_HR -hu_HU -id_ID -is -it_IT -ja_JP -ka_GE -lg -lt -lv_LV -nl_NL -nqo -pl_PL -pt_BR -pt_PT -ro_RO -ru_RU -sk_SK -sl_SI% -sr -sr@ijekavian -sr@ijekavianlatin -sr@latin -sv_SE -tr_TR -uk_UA -uz@Latn -zh_CN -zh_HK -zh_TW" 2829 KiB
[ebuild   R    ] x11-base/xorg-server-1.17.4-r2:0/1.17.4::xorg-kit  USE="ipv6 kdrive* nptl suid udev xorg xvfb* -dmx -doc -glamor -libressl -minimal (-selinux) -static-libs -systemd -tslib -unwind -wayland -xephyr -xnest" 0 KiB
[ebuild   R    ] kde-plasma/plasma-pa-5.10.5:5::kde-kit  USE="handbook -debug" 0 KiB

Total: 38 packages (1 upgrade, 2 new, 35 reinstalls), Size of downloads: 7909 KiB
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 19232
Location: here

PostPosted: Wed Oct 18, 2017 8:25 am    Post subject: Reply with quote

Per curl sembra che un pacchetto abbia bisogno di abilitare la use flag curl_ssl_nss, ma per fare questo devi disabilitare curl_ssl_openssl (abilitato di default).

Per la versione di openssl prova ad aggiungere l'opzione --autounmask=n di emerge
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
zar Marco
Guru
Guru


Joined: 09 Sep 2016
Posts: 322
Location: Colle Umberto ( TV )

PostPosted: Wed Oct 18, 2017 8:45 am    Post subject: Reply with quote

Niente, openssl mi blocca tutti i vari emerge. Devo riuscire a capire dove sta il problema
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 19232
Location: here

PostPosted: Wed Oct 18, 2017 8:52 am    Post subject: Reply with quote

zar Marco wrote:
Niente, openssl mi blocca tutti i vari emerge. Devo riuscire a capire dove sta il problema

Il problema e' che il mirror ftp://ftp.free.fr non ha quel file, probabilmente cambiando mirror il problema si risolve.
Comunque devi capire perche' voglia metterti la version 1.1.0e che non e' corretto e vai incontro ad altri problemi, per caso hai openssl in package.unmask?
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
zar Marco
Guru
Guru


Joined: 09 Sep 2016
Posts: 322
Location: Colle Umberto ( TV )

PostPosted: Wed Oct 18, 2017 9:14 am    Post subject: Reply with quote

Sono un pirla, hai ragione, lo avevo inserito in package.unmask, perché me lo richiedeva per installare chromium, ora infatti mi sta installano la versione 1.0.2
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian) Forum di discussione italiano All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum